@mixin inputStyle($fc, $bc, $ic: rgba(#FF0000, .06), $brc: #FF0000, $bsh: white) {
  width: 100%;
  border: 0;
  border-bottom: 2px solid $bc;
  background: transparent;
  box-shadow: none;
  color: $fc;
  font-family: $mainFont, sans-serif;
  font-size: 18px;
  font-weight: 700;
  letter-spacing: 0.8px;
  box-sizing: border-box;
  padding-left: 7px;

  &.invalid {
    background: $ic;
    border-color: $brc;
  }

  &:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px $bsh inset !important;
  }

  &::placeholder {
    color: #ffffff;
  }
}

@mixin label($fc, $reqUrl: "../../assets/img/icons/required.svg"){
  position: absolute;
  top: 10px;
  left: 7px;
  color: $fc;
  font-family: $mainFont, sans-serif;
  font-size: 18px;
  font-weight: 700;
  letter-spacing: 0.8px;
  transition: .2s;

  &.required:after {
    display: inline-block;
    content: '';
    width: 9px;
    height: 9px;
    background: url($reqUrl) center/contain no-repeat;
    transform: translateY(-10px);
  }
}

@mixin requiredMessage($c: #C8C8CF) {
  font-family: $mainFont, sans-serif;
  font-size: 13px;
  font-weight: 700;
  color: $c;
  letter-spacing: .6px;
  margin-top: 22px;

  &:after {
    display: inline-block;
    content: '';
    width: 9px;
    height: 9px;
    background: url("../../assets/img/icons/required.svg") center/contain no-repeat;
    transform: translateY(-5px);
  }
}
